Summary: Library for editing typed command lines
Name: readline
Version: 8.2.13
Release: r0
License: GPL-3.0-or-later
Group: libs
Packager: Poky Maintainers <poky@lists.yoctoproject.org>
URL: https://tiswww.case.edu/php/chet/readline/rltop.html
Source0: readline-8.2.13.tar.gz
Source1: norpath.patch
Source2: inputrc
Source3: series
BuildRequires: autoconf-native
BuildRequires: automake-native
BuildRequires: libtool-cross
BuildRequires: libtool-native
BuildRequires: ncurses
BuildRequires: texinfo-dummy-native
BuildRequires: virtual/libc
BuildRequires: virtual/update-alternatives
BuildRequires: virtual/x86_64-poky-linux-compilerlibs
BuildRequires: virtual/x86_64-poky-linux-gcc

%description
The GNU Readline library provides a set of functions for use by
applications that allow users to edit command lines as they are typed in.
Both Emacs and vi editing modes are available. The Readline library
includes  additional functions to maintain a list of previously-entered
command lines, to recall and perhaps reedit those   lines, and perform csh-
like history expansion on previous commands.

%package -n libreadline-src
Summary: Library for editing typed command lines - Source files
License: GPL-3.0-or-later
Group: devel
Provides: readline-src = 8.2.13

%description -n libreadline-src
The GNU Readline library provides a set of functions for use by
applications that allow users to edit command lines as they are typed in.
Both Emacs and vi editing modes are available. The Readline library
includes  additional functions to maintain a list of previously-entered
command lines, to recall and perhaps reedit those   lines, and perform csh-
like history expansion on previous commands.  This package contains sources
for debugging purposes.

%package -n libreadline-dbg
Summary: Library for editing typed command lines - Debugging files
License: GPL-3.0-or-later
Group: devel
Recommends: glibc-dbg
Recommends: ncurses-dbg
Recommends: ncurses-libtinfo-dbg
Provides: readline-dbg = 8.2.13

%description -n libreadline-dbg
The GNU Readline library provides a set of functions for use by
applications that allow users to edit command lines as they are typed in.
Both Emacs and vi editing modes are available. The Readline library
includes  additional functions to maintain a list of previously-entered
command lines, to recall and perhaps reedit those   lines, and perform csh-
like history expansion on previous commands.  This package contains ELF
symbols and related sources for debugging purposes.

%package -n libreadline-staticdev
Summary: Library for editing typed command lines - Development files (Static Libraries)
License: GPL-3.0-or-later
Group: devel
Requires: libreadline-dev = 8.2.13-r0
Provides: readline-staticdev = 8.2.13

%description -n libreadline-staticdev
The GNU Readline library provides a set of functions for use by
applications that allow users to edit command lines as they are typed in.
Both Emacs and vi editing modes are available. The Readline library
includes  additional functions to maintain a list of previously-entered
command lines, to recall and perhaps reedit those   lines, and perform csh-
like history expansion on previous commands.  This package contains static
libraries for software development.

%package -n libreadline-dev
Summary: Library for editing typed command lines - Development files
License: GPL-3.0-or-later
Group: devel
Requires: ncurses-dev
Requires: readline
Recommends: glibc-dev
Recommends: libreadline8 = 8.2.13-r0
Recommends: ncurses-dev
Recommends: ncurses-libtinfo-dev
Recommends: update-alternatives-opkg-dev
Provides: readline-dev = 8.2.13

%description -n libreadline-dev
The GNU Readline library provides a set of functions for use by
applications that allow users to edit command lines as they are typed in.
Both Emacs and vi editing modes are available. The Readline library
includes  additional functions to maintain a list of previously-entered
command lines, to recall and perhaps reedit those   lines, and perform csh-
like history expansion on previous commands.  This package contains
symbolic links, header files, and related items necessary for software
development.

%package -n libreadline-doc
Summary: Library for editing typed command lines - Documentation files
License: GPL-3.0-or-later
Group: doc
Requires: update-alternatives-opkg
Requires(post): update-alternatives-opkg
Requires(preun): update-alternatives-opkg
Provides: /usr/share/man/man3/history.3
Provides: readline-doc = 8.2.13

%description -n libreadline-doc
The GNU Readline library provides a set of functions for use by
applications that allow users to edit command lines as they are typed in.
Both Emacs and vi editing modes are available. The Readline library
includes  additional functions to maintain a list of previously-entered
command lines, to recall and perhaps reedit those   lines, and perform csh-
like history expansion on previous commands.  This package contains
documentation.

%package -n libreadline-locale
Summary: Library for editing typed command lines
License: GPL-3.0-or-later
Group: libs
Provides: readline-locale = 8.2.13

%description -n libreadline-locale
The GNU Readline library provides a set of functions for use by
applications that allow users to edit command lines as they are typed in.
Both Emacs and vi editing modes are available. The Readline library
includes  additional functions to maintain a list of previously-entered
command lines, to recall and perhaps reedit those   lines, and perform csh-
like history expansion on previous commands.

%package -n libreadline8
Summary: Library for editing typed command lines
License: GPL-3.0-or-later
Group: libs
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.11)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.15)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libtinfo.so.5()(64bit)
Requires: libtinfo5 >= 6.5
Requires: rtld(GNU_HASH)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.11)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6(GLIBC_2.15)(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(post): libc.so.6(GLIBC_2.33)(64bit)
Requires(post): libc.so.6(GLIBC_2.38)(64bit)
Requires(post): libc.so.6(GLIBC_2.4)(64bit)
Requires(post): libc6 >= 2.40+git0+efb710034e
Requires(post): libtinfo.so.5()(64bit)
Requires(post): libtinfo5 >= 6.5
Requires(post): rtld(GNU_HASH)
Provides: libhistory.so.8()(64bit)
Provides: libreadline.so.8()(64bit)
Provides: readline = 8.2.13

%description -n libreadline8
The GNU Readline library provides a set of functions for use by
applications that allow users to edit command lines as they are typed in.
Both Emacs and vi editing modes are available. The Readline library
includes  additional functions to maintain a list of previously-entered
command lines, to recall and perhaps reedit those   lines, and perform csh-
like history expansion on previous commands.

%post -n libreadline-doc
# libreadline-doc - postinst
#!/bin/sh
set -e
	update-alternatives --install /usr/share/man/man3/history.3 history.3 /usr/share/man/man3/history.3.readline 100


%preun -n libreadline-doc
# libreadline-doc - prerm
#!/bin/sh
if [ "$1" = "0" ] ; then
set -e
	update-alternatives --remove  history.3 /usr/share/man/man3/history.3.readline
fi

%post -n libreadline8
# libreadline8 - postinst
#!/bin/sh
set -e
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files -n libreadline-src
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/src"
%attr(755,root,root) %dir "/usr/src/debug"
%attr(755,root,root) %dir "/usr/src/debug/readline"
%attr(755,root,root) %dir "/usr/src/debug/readline/8.2.13"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/tilde.h"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/funmap.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/emacs_keymap.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/parse-colors.h"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/xmalloc.h"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/rlmbutil.h"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/search.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/xmalloc.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/history.h"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/rltty.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/signals.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/histfile.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/keymaps.h"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/readline.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/colors.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/util.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/rltypedefs.h"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/callback.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/rlprivate.h"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/kill.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/input.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/bind.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/tilde.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/terminal.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/histexpand.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/readline.h"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/macro.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/histlib.h"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/keymaps.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/parse-colors.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/rlshell.h"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/parens.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/vi_mode.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/rltty.h"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/misc.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/complete.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/history.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/compat.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/xfree.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/mbutil.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/undo.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/isearch.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/text.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/colors.h"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/vi_keymap.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/nls.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/display.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/shell.c"
%attr(644,root,root) "/usr/src/debug/readline/8.2.13/histsearch.c"

%files -n libreadline-dbg
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/lib/.debug"
%attr(755,root,root) "/usr/lib/.debug/libreadline.so.8.2"
%attr(755,root,root) "/usr/lib/.debug/libhistory.so.8.2"

%files -n libreadline-staticdev
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(644,root,root) "/usr/lib/libreadline.a"
%attr(644,root,root) "/usr/lib/libhistory.a"

%files -n libreadline-dev
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/include"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/include/readline"
%attr(644,root,root) "/usr/include/readline/tilde.h"
%attr(644,root,root) "/usr/include/readline/rlstdc.h"
%attr(644,root,root) "/usr/include/readline/history.h"
%attr(644,root,root) "/usr/include/readline/rlconf.h"
%attr(644,root,root) "/usr/include/readline/keymaps.h"
%attr(644,root,root) "/usr/include/readline/rltypedefs.h"
%attr(644,root,root) "/usr/include/readline/readline.h"
%attr(644,root,root) "/usr/include/readline/chardefs.h"
%attr(755,root,root) %dir "/usr/lib/pkgconfig"
%attr(777,root,root) "/usr/lib/libreadline.so"
%attr(777,root,root) "/usr/lib/libhistory.so"
%attr(644,root,root) "/usr/lib/pkgconfig/readline.pc"
%attr(644,root,root) "/usr/lib/pkgconfig/history.pc"

%files -n libreadline-doc
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/doc"
%attr(755,root,root) %dir "/usr/share/man"
%attr(755,root,root) %dir "/usr/share/info"
%attr(755,root,root) %dir "/usr/share/doc/readline"
%attr(644,root,root) "/usr/share/doc/readline/CHANGES"
%attr(644,root,root) "/usr/share/doc/readline/INSTALL"
%attr(644,root,root) "/usr/share/doc/readline/README"
%attr(755,root,root) %dir "/usr/share/man/man3"
%attr(644,root,root) "/usr/share/man/man3/history.3.readline"
%attr(644,root,root) "/usr/share/man/man3/readline.3"
%attr(644,root,root) "/usr/share/info/readline.info"
%attr(644,root,root) "/usr/share/info/rluserman.info"
%attr(644,root,root) "/usr/share/info/history.info"

%files -n libreadline8
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/etc"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) "/usr/lib/libreadline.so.8.2"
%attr(777,root,root) "/usr/lib/libhistory.so.8"
%attr(777,root,root) "/usr/lib/libreadline.so.8"
%attr(755,root,root) "/usr/lib/libhistory.so.8.2"
%attr(644,root,root) %config "/etc/inputrc"

%%prep
echo "include logs and patches, Please check them in SOURCES"

